<?php declare(strict_types=1);

namespace Lewisdale\Webmentions\Models;

enum MentionType {
    case Like;
    case Reply;
    case Mention;
    case Repost;

    public function toString() : string
    {
        return match ($this) {
            MentionType::Like => "like",
            MentionType::Reply => "reply",
            MentionType::Mention => "mention",
            MentionType::Repost => "repost",
        };
    }

    public static function from(string $string) : MentionType
    {
        return match($string) {
            "like" => MentionType::Like,
            "reply" => MentionType::Reply,
            "repost" => MentionType::Repost,
            default => MentionType::Mention
        };
    }
}
?>